<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OXContextException StructType
 * @subpackage Structs
 */
class OXContextException extends Exception
{
    /**
     * The OXContextException
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\OXContextException
     */
    public $OXContextException;
    /**
     * Constructor method for OXContextException
     * @uses OXContextException::setOXContextException()
     * @param \StructType\OXContextException $oXContextException
     */
    public function __construct(\StructType\OXContextException $oXContextException = null)
    {
        $this
            ->setOXContextException($oXContextException);
    }
    /**
     * Get OXContextException value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\OXContextException|null
     */
    public function getOXContextException()
    {
        return isset($this->OXContextException) ? $this->OXContextException : null;
    }
    /**
     * Set OXContextException value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\OXContextException $oXContextException
     * @return \StructType\OXContextException
     */
    public function setOXContextException(\StructType\OXContextException $oXContextException = null)
    {
        if (is_null($oXContextException) || (is_array($oXContextException) && empty($oXContextException))) {
            unset($this->OXContextException);
        } else {
            $this->OXContextException = $oXContextException;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\OXContextException
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
